package com.sinosig.core.module2.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[YDJJDC] 查询条件对象
 */
@Data
public class YDJJDCSearchContext extends SearchContext {

	   public String n_cldl_eq;//[车辆大类]
       public void setN_cldl_eq(String n_cldl_eq) {
            this.n_cldl_eq=n_cldl_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("cldl");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_cldl_eq);
            this.getCondition().add(searchField);
       }
	   public String n_hpzl_eq;//[号牌种类]
       public void setN_hpzl_eq(String n_hpzl_eq) {
            this.n_hpzl_eq=n_hpzl_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("hpzl");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_hpzl_eq);
            this.getCondition().add(searchField);
       }
	   public String n_syxz_eq;//[使用性质]
       public void setN_syxz_eq(String n_syxz_eq) {
            this.n_syxz_eq=n_syxz_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("syxz");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_syxz_eq);
            this.getCondition().add(searchField);
       }
	   public String n_clzl_eq;//[车辆种类]
       public void setN_clzl_eq(String n_clzl_eq) {
            this.n_clzl_eq=n_clzl_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("clzl");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_clzl_eq);
            this.getCondition().add(searchField);
       }
	   public String n_ydjjdcname_like;//[已登记机动车名称]
       public void setN_ydjjdcname_like(String n_ydjjdcname_like) {
            this.n_ydjjdcname_like=n_ydjjdcname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("ydjjdcname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_ydjjdcname_like);
            this.getCondition().add(searchField);
       }
	   public String n_abl_eq;//[A/B类]
       public void setN_abl_eq(String n_abl_eq) {
            this.n_abl_eq=n_abl_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("abl");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_abl_eq);
            this.getCondition().add(searchField);
       }
	   public String n_cllxms_eq;//[车辆类型描述]
       public void setN_cllxms_eq(String n_cllxms_eq) {
            this.n_cllxms_eq=n_cllxms_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("cllxms");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_cllxms_eq);
            this.getCondition().add(searchField);
       }
	   public String n_hpds_eq;//[号牌底色]
       public void setN_hpds_eq(String n_hpds_eq) {
            this.n_hpds_eq=n_hpds_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("hpds");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_hpds_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter ydjjdcname=new SearchFieldFilter();
           ydjjdcname.setParam("ydjjdcname");
           ydjjdcname.setCondition(SearchFieldType.LIKE);
           ydjjdcname.setValue(strQuery);
           searchGroupFilter.getCondition().add(ydjjdcname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
